Macro for a new Title Blog

Valued Contributor
Valued Contributor

 

Hello SE-Community,

i am working with Solid Edge ST and i am trying to write a little programm that exchanges my current Title Blog with a new one. I have like 6000 SE documents where the title blog has to be changed so that i dont want to do it manually. Can you give me some hints how to do this if its possible? I know how to open documents and working with poperties. Can you give me some class.- and methodnames?

 

Thank you for youre help and im sorry for my bad english. I hope u understand what i want.

 

Kind regards

Philipp

 

 

Posted by: Philipp Streicher
Post date: 10/23/2009 12:13:57 AM

3 REPLIES

RE: Macro for a new Title Blog

Valued Contributor
Valued Contributor

 

Dear Philipp,

Better you can go with file system object in which you don't have to open the file in SolidEdge.

Just create a filesystem object and pass a file one by one and add the Title in File Property.

Provide a folder path and for each file in folder change the property of the file.

All the best

Sandeep Shewale

 

Posted by: Sandeep Shewale
Post date: 10/23/2009 1:18:57 AM

RE: Macro for a new Title Blog

Valued Contributor
Valued Contributor

 

Hi Sandeep,

thank you for your fast reply. But i think you dont understand what i mean. I dont want to change the titel from my file. I want to change the Title Blog which is in the background of my .dft Files. With "Title Blog" i mean the Information who are in the backround of my file like Inventary No. or the Date of Filecreation. Do you know what i mean?

Philipp

 

Posted by: Philipp Streicher
Post date: 10/23/2009 2:44:20 AM

RE: Macro for a new Title Blog

Valued Contributor
Valued Contributor

Hi Philipp,

 

if the Title Blog ist linked to FilePoroperties (? - in Balloons), you must change the FileProperties (see reply from Sandeep)

If not, you must change the text on all Background Sheets.

Dim objDoc As SolidEdgeDraft.DraftDocument = objApp.ActiveDocument

objDoc.Sections.BackgroundSection.Sheets

The Infromation can be placed in TextBoxes or Balloons (in each sheet or sheet.Groups)

SolidEdgeFrameworkSupport.TextBoxes (directly as text)

SolidEdgeFrameworkSupport.Balloons (directly as text or linked to FileProperties)

 

Regards

JR

 

 

 

Posted by: JR
Post date: 10/26/2009 12:51:17 AM